Name: lxqt-build-tools
Version: 0.13.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Build tools for the LXQt desktop
URL: http://lxqt.org/
License:  BSD-3-Clause
Group: Graphical desktop/LXQT
#--------------------------------------------
BuildRequires:  cmake
BuildRequires:  %{_lib}qt5core-devel
#To get build without any issues the LXQt Desktop
Requires:	%{_lib}qtxdg-devel
#--------------------------------------------

%description
These tools used to be spread over the repositories of various 
other components and were summarized to ease dependency management. 
So far many components, in particular [liblxqt]
(https://github.com/lxde/liblxqt), were representing a build 
dependency without being needed themselves but only because their 
repository was providing a subset of the tools which are now 
summarized here. So the use of this repository will reduce 
superfluous and bloated dependencies.

%prep
%setup -q %{name}-%{version}
%apply_patches

%cmake_qt5


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

%files
%{_bindir}/lxqt-transupdate
#%{_datadir}/cmake/lxqt-build-tools/find-modules/FindFm.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindGLIB.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindMenuCache.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindUDev.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXCB.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgUserDirs.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindExif.cmake
%{_datadir}/cmake/lxqt-build-tools/lxqt-build-tools-config-version.cmake
%{_datadir}/cmake/lxqt-build-tools/lxqt-build-tools-config.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtAppTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCompilerSettings.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtConfigVars.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCreatePkgConfigFile.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCreatePortableHeaders.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtLibTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtPluginTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslate.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslateDesktop.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslateTs.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslationLoader.cmake
#{_datadir}/cmake/lxqt-build-tools/modules/Qt5PatchedLinguistToolsMacros.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5TranslationLoader.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5TranslationLoader.cpp.in
# build at Version 0.5.0
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXKBCommon.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/ECMFindModuleHelpers.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtPreventInSourceBuilds.cmake
# build at Version 0.7.0
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindClazy.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgEmail.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgMime.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgOpen.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgSettings.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindFontconfig.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgScreensaver.cmake
# build at version 0.9.0
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXTerm.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslateDesktopYaml.pl



%changelog
* Sat Apr 15 2023 daniel - 0.13.0-1pclos2023
- new version

* Tue Feb 14 2023 tex - 0.12.0-2pclos2023
- add patch to switch to standard C++ 17

* Sat Nov 05 2022 daniel - 0.12.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 0.11.0-3pclos2022
- fix glib detection

* Mon Sep 19 2022 tex - 0.11.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 0.11.0-1pclos2022
- 0.11.0

* Fri Nov 05 2021 daniel - 0.10.0-1pclos2021
- 0.10.0

* Thu Apr 15 2021 daniel <> 0.9.0-1pclos2021
- 0.9.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.8.0-1pclos2020
- 0.8.0

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.7.0-1pclos2020
- 0.7.0

* Thu Dec 05 2019 tex - 0.6.0-3pclos2019
- rebuild against updates

* Wed Feb 06 2019 tex - 0.6.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.6.0-1pclos2019
- update 

* Sat Jul 28 2018 daniel <meisssw01 at gmail.com> 0.5.0-1pclos2018
- update

* Thu Oct 10 2017 daniel <meisssw01 at gmail.com> 0.4.0-1pclos2017
- update

* Mon Apr 10 2017 ghostbunny <ghostbunny at gmx dot de> 0.3.2-1pclos2017
- 0.3.2

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.3.1-1pclos2017
- update

* Tue Dec 13 2016 daniel <meisssw01 at gmail.com> 0.3.0-1pclos2017
- import to pclinuxos
